%  Copyright 2010 Carlos Gonzalez-Aguado
%
%  This file is part of the SAMPLE CODE for the following paper:
%  Bruche, M., Gonzalez-Aguado, C. "Recovery Rates, Default Probabilities, and the Credit Cycle"
%  Journal of Banking and Finance 34(4), 2010, 713-723.
%  
%  SAMPLE CODE is free software: you can redistribute it and/or modify it under
%  the terms of the GNU General Public License as published by the Free
%  Software Foundation, either version 3 of the License, or (at your option)
%  any later version.
%  
%  SAMPLE CODE is distributed in the hope that it will be useful, but WITHOUT
%  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
%  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
%  more details.
%  
%  You should have received a copy of the GNU General Public License along with
%  SAMPLE CODE.  If not, see <http://www.gnu.org/licenses/>.


% This routine uses the variables included in the model to set the number and position of parameters in 'pars' vector.

% Declare global variables
global pars dr_cycle dr_macro rr_cycle rr_macro rr_ind rr_pars

% Parameters in the vector of parameters
pars_l = [1, 1 + dr_cycle + dr_macro];            % Parameters in 'lambda' in default rate expression
pars_a = [pars_l(2) + 1, pars_l(2) + rr_pars];    % Parameters in 'alpha' in recovery rates distribution
pars_b = [pars_a(2) + 1, pars_a(2) + rr_pars];    % Parameters in 'beta' in recovery rates distribution
pars = [pars_l; pars_a; pars_b];
if dr_cycle | rr_cycle
    pars_prob = [pars_b(2) + 1, pars_b(2) + 3];   % Parameters for transition probabilities (only if there is a latent variable in the model)
    pars = [pars; pars_prob];
end


